/* Author: Peter Schaeffer */
#include <stdio.h>

FILE *in;
int i, j, n, m, l[10000], t;

int ggt(int a, int b)
{
	if (!b) return a;
	return ggt(b, a%b);
}

int main()
{
	in=stdin;//fopen("another.in", "r");
	while(1)
	{
		fscanf(in, " %d %d", &n, &m);		
		if (!n) break;
		t=0;
		for(i=0; i<n; i++)
		{
			for(j=0; j<m; j++)
				fscanf(in, " %d", l+i);
			t+=l[i];
		}
		for(i=0; i<n; i++)
		{
			m=ggt(t, l[i]);
			printf("%d / %d\n", l[i]/m, t/m);
		}
	}
	return 0;
}
